List Schemas Custom
Lists custom schema fragments.
Lists custom schema fragments.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
The list of app names.
The cursor to resume iteration from. If not provided, then iteration starts from the beginning.
textWhether only deprecated fragments should be filtered.
Whether to include sync metadata in the response.
Whether the leaf type corresponds to a custom object
Whether the fragment has been deprecated.
The list of leaf types.
The maximum number of items.
int32The iteration mode to use, otherwise if not set, then "after" is used.
"after" | "before"List of fields which are not required in the payload and can be pruned away.
The list of fields to sort the items by and how to sort them.
Filters for the provided space IDs.
Whether to include child spaces.
Whether to include objects not associated with any space.
Whether to include parent spaces.
The filter operator to be applied on space.
"any" | "not_any" | "not_null" | "null"The list of subtypes.
Filters for custom schema fragment of the provided types.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/schemas.custom.list"{
"next_cursor": "string",
"prev_cursor": "string",
"result": [
{
"type": "app_fragment",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"composite_schemas": [
{
"description": "string",
"fields": [
{
"field_type": "array",
"description": "string",
"is_filterable": true,
"is_immutable": true,
"is_pii": true,
"is_required": true,
"mfz": {},
"name": "string",
"oasis": {},
"origin": "string",
"ui": {
"client_overrides": [
{
"client_name": "string",
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_overrides": [
{
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_name": "string"
}
]
}
],
"create_view": {
"is_hidden": true
},
"decimal_places": 0,
"detail_view": {
"is_hidden": true
},
"display_name": "string",
"filter_view": {
"is_hidden": true
},
"group_name": "string",
"is_active_in_detail_view": true,
"is_bulk_action_enabled": true,
"is_currency_field": true,
"is_groupable": true,
"is_hidden": true,
"is_hidden_during_create": true,
"is_read_only": true,
"is_required": true,
"is_shown_in_summary": true,
"is_sortable": true,
"list_view": {
"is_hidden": true
},
"order": 0,
"placeholder": "string",
"search_query": "string",
"summary_view": {
"is_hidden": true
},
"tooltip": "string",
"unit": "string",
"use_shorthand_notation": true
},
"default_value": true
}
],
"name": "string"
}
],
"conditions": [
{
"effects": [
{
"allowed_values": [
"string"
],
"fields": [
"string"
],
"immutable": true,
"invalid": true,
"require": true,
"show": true
}
],
"expression": "string"
}
],
"deprecated": true,
"description": "string",
"fields": [
{
"field_type": "array",
"description": "string",
"is_filterable": true,
"is_immutable": true,
"is_pii": true,
"is_required": true,
"mfz": {},
"name": "string",
"oasis": {},
"origin": "string",
"ui": {
"client_overrides": [
{
"client_name": "string",
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_overrides": [
{
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_name": "string"
}
]
}
],
"create_view": {
"is_hidden": true
},
"decimal_places": 0,
"detail_view": {
"is_hidden": true
},
"display_name": "string",
"filter_view": {
"is_hidden": true
},
"group_name": "string",
"is_active_in_detail_view": true,
"is_bulk_action_enabled": true,
"is_currency_field": true,
"is_groupable": true,
"is_hidden": true,
"is_hidden_during_create": true,
"is_read_only": true,
"is_required": true,
"is_shown_in_summary": true,
"is_sortable": true,
"list_view": {
"is_hidden": true
},
"order": 0,
"placeholder": "string",
"search_query": "string",
"summary_view": {
"is_hidden": true
},
"tooltip": "string",
"unit": "string",
"use_shorthand_notation": true
},
"default_value": true
}
],
"fragment_type": "app",
"is_custom_leaf_type": true,
"is_deprecated": true,
"leaf_type": "string",
"new_fragment_ref": {
"type": "app_fragment",
"display_id": "string",
"id": "string",
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"old_fragment_ref": {
"type": "app_fragment",
"display_id": "string",
"id": "string",
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"app": "string",
"app_display_name": "string"
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}